%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  distfreereg
%global packver   1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Distribution-Free Goodness-of-Fit Testing for Regression

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.4
Requires:         R-core >= 4.4
BuildArch:        noarch
BuildRequires:    R-CRAN-calculus 
BuildRequires:    R-CRAN-clue 
BuildRequires:    R-CRAN-lme4 
BuildRequires:    R-methods 
Requires:         R-CRAN-calculus 
Requires:         R-CRAN-clue 
Requires:         R-CRAN-lme4 
Requires:         R-methods 

%description
Implements the distribution-free goodness-of-fit regression test for the
mean structure of parametric models introduced in Khmaladze (2021)
<doi:10.1007/s10463-021-00786-3>. The test is implemented for general
functions with minimal distributional assumptions as well as common models
(e.g., lm, glm) with the usual assumptions.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
